/* COPYRIGHT Esri - https://js.arcgis.com/5.0/LICENSE.txt */
import "@arcgis/toolkit/intl";
import "lodash-es";
import "luxon";
import "d3-array";
import "@arcgis/toolkit/type";
import "./series-types.js";
import { cZ as a } from "./index.js";
import "@arcgis/core/Graphic.js";
import "@arcgis/core/renderers/support/jsonUtils.js";
import "@arcgis/core/symbols/support/symbolUtils.js";
import "@arcgis/core/intl.js";
import "@arcgis/core/layers/support/FeatureFilter.js";
import "@arcgis/core/smartMapping/statistics/histogram.js";
import "@arcgis/core/smartMapping/statistics/summaryStatistics.js";
import "simple-statistics";
import "@arcgis/core/request.js";
import "@arcgis/core/core/sql.js";
import "@arcgis/core/AttributeBinsGraphic.js";
import "@arcgis/core/geometry/support/jsonUtils.js";
import "@arcgis/core/rest/support/AttributeBinsQuery.js";
import "@arcgis/core/rest/support/StatisticDefinition.js";
import "@arcgis/core/time/TimeExtent.js";
import "@arcgis/core/core/promiseUtils.js";
import "./runtime.js";
import "@arcgis/toolkit/dom";
import { C as m, m as s } from "./model-setter.js";
var n = Object.defineProperty, d = Object.getOwnPropertyDescriptor, c = (t, r, e, h) => {
  for (var o = d(r, e), i = t.length - 1, p; i >= 0; i--)
    (p = t[i]) && (o = p(r, e, o) || o);
  return o && n(r, e, o), o;
};
function I(t) {
  return t !== void 0 && "rotatedState" in t;
}
const f = (t) => a(t), S = (t, r) => {
  r.rotated = t;
};
class _ extends m {
  /**
   * Whether the chart is rotated.
   */
  get rotatedState() {
    return f(this._config);
  }
  set rotatedState(r) {
    S(r, this._config);
  }
}
c([
  s
], _.prototype, "rotatedState");
export {
  _ as W,
  I as i
};
